Bug 967187 - Review Request: wemux - A tool help improve multi-user terminal multiplexing
Review Request: wemux - A tool help improve multi-user terminal multiplexing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eduardo Echeverria
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-25 06:17 EDT by Christopher Meng
Modified: 2014-03-14 07:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: wemux-2.2.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-08 22:28:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
echevemaster: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-05-25 06:17:56 EDT
Spec URL: http://cicku.me/wemux.spec
SRPM URL: http://cicku.me/wemux-3.1.0-1.fc20.src.rpm
Description: wemux enhances tmux to make multi-user terminal multiplexing both easier 
and more powerful. It allows users to host a wemux server and have clients 
join in either:

Mirror Mode gives clients (another SSH user on your machine) read-only access 
to the session, allowing them to see you work, or

Pair Mode allows the client and yourself to work in the same 
terminal (shared cursor)

Rogue Mode allows the client to pair or work independently in another 
window (separate cursors) in the same tmux session.

It features multi-server support as well as user listing and notifications 
when users attach/detach.

Fedora Account System Username: cicku
Comment 1 Eduardo Echeverria 2013-05-25 23:57:53 EDT
Hi @cicku, I'm tmux user, would be very nice to have this in fedora ;)

The github's sources present differs with your package, resulting in upstream MD5sum check error, if the upstream does no create tarballs for release, please see https://fedoraproject.org/wiki/Packaging:SourceURL#Github for handling sources.

Please don't use wilcards to list an unique file. expand it with the complete name

Cheers.
Comment 2 Christopher Meng 2013-05-29 06:46:45 EDT
Spec URL: http://cicku.me/wemux.spec
SRPM URL: http://cicku.me/wemux-2.2.0-1.fc20.src.rpm
Comment 3 Eduardo Echeverria 2013-05-29 23:19:59 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.

makerpm@echevemaster wemux-9bff23720d09a910dacad101c18d0f4512ae375a$ licensecheck MIT-LICENSE 
MIT-LICENSE: MIT/X11 (BSD like)

[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: wemux-2.2.0-1.fc20.noarch.rpm
wemux.noarch: W: spelling-error Summary(en_US) multi -> mulch, mufti
wemux.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
wemux.noarch: W: no-manual-page-for-binary wemux
1 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint wemux
wemux.noarch: W: spelling-error Summary(en_US) multi -> mulch, mufti
wemux.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
wemux (rpmlib, GLIBC filtered):
    /usr/bin/env
    config(wemux)
    tmux



Provides
--------
wemux:
    config(wemux)
    wemux



Source checksums
----------------
https://github.com/zolrath/wemux/archive/9bff23720d09a910dacad101c18d0f4512ae375a/wemux-2.2.0-9bff237.tar.gz :
  CHECKSUM(SHA256) this package     : 8961644c711f9c3f028d8d3f72a1fa1ae9c67e2db43eed8f5538733d5096ae54
  CHECKSUM(SHA256) upstream package : 8961644c711f9c3f028d8d3f72a1fa1ae9c67e2db43eed8f5538733d5096ae54


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 967187 -m fedora-rawhide-x86_64

- For upcoming reviews, please bump the release number each time you make changes in the spec

-Before importing please add the comment "Nothing to build" below of %build

----------------

PACKAGE APPROVED

----------------
Comment 4 Christopher Meng 2013-05-29 23:25:04 EDT
New Package SCM Request
=======================
Package Name: wemux
Short Description: A tool help improve multi-user terminal multiplexing
Owners: cicku
Branches: f18 f19 el6
Comment 5 Gwyn Ciesla 2013-05-30 08:34:53 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-05-31 01:13:43 EDT
wemux-2.2.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/wemux-2.2.0-1.fc19
Comment 7 Fedora Update System 2013-05-31 02:52:38 EDT
wemux-2.2.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/wemux-2.2.0-1.fc18
Comment 8 Fedora Update System 2013-05-31 03:01:32 EDT
wemux-2.2.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/wemux-2.2.0-1.el6
Comment 9 Fedora Update System 2013-05-31 13:55:11 EDT
wemux-2.2.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 10 Fedora Update System 2013-06-08 22:28:35 EDT
wemux-2.2.0-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-06-08 23:34:12 EDT
wemux-2.2.0-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 12 Fedora Update System 2013-06-16 14:30:27 EDT
wemux-2.2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 13 Christopher Meng 2014-03-13 21:06:27 EDT
Package Change Request
======================
Package Name: wemux
New Branches: epel7
Owners: cicku
Comment 14 Gwyn Ciesla 2014-03-14 07:56:32 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.